Bug 717227 - Provide native systemd unit file
Provide native systemd unit file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tigervnc (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks: SysVtoSystemd
  Show dependency treegraph
 
Reported: 2011-06-28 08:27 EDT by Jóhann B. Guðmundsson
Modified: 2013-04-30 19:49 EDT (History)
2 users (show)

See Also:
Fixed In Version: tigervnc-1.0.90-6.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-22 11:12:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Native systemd service file for vncserver (286 bytes, text/plain)
2011-06-28 08:30 EDT, Jóhann B. Guðmundsson
no flags Details
Patch that Introduce systemd unit file, drop SysV support to the spec file.. (1.82 KB, patch)
2011-06-29 06:45 EDT, Jóhann B. Guðmundsson
no flags Details | Diff

  None (edit)
Description Jóhann B. Guðmundsson 2011-06-28 08:27:44 EDT
Description of problem:

https://fedoraproject.org/wiki/Features/SysVtoSystemd


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jóhann B. Guðmundsson 2011-06-28 08:30:04 EDT
Created attachment 510261 [details]
Native systemd service file for vncserver
Comment 2 Jóhann B. Guðmundsson 2011-06-28 09:01:03 EDT
I should point out that if you want to run this as a different user you ( as an admin ) would do the following 

# cp /lib/systemd/system/vncserver.service /etc/systemd/system
# sed -i 's/root/myusername/g' /etc/systemd/system/vncserver.service
# systemctl daemon-reload
# systemctl start vncserver.service
Comment 3 Jóhann B. Guðmundsson 2011-06-29 06:45:56 EDT
Created attachment 510435 [details]
Patch that Introduce systemd unit file, drop SysV support to the spec file..
Comment 4 Jóhann B. Guðmundsson 2011-07-11 11:30:46 EDT
Ping what's the current status of this ?
Comment 5 Jóhann B. Guðmundsson 2011-07-15 10:59:23 EDT
What's the current status of this you are the only one that has not package
native systemd unit files in the Base-X group

If you dont have the time to look at the unit file and package it should I try to find a proven packager to do this for you? 

https://fedoraproject.org/wiki/Packaging:Guidelines:Systemd
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd
https://fedoraproject.org/wiki/Packaging:Tmpfiles.d
Comment 6 Adam Tkac 2011-07-20 06:35:45 EDT
Sorry for late response, I was busy with other urgent duties.

Your systemd unit file looks fine for me, thanks for it. There is one remaining question - about backward support of the sysconfig configuration. I raised question on devel list (http://lists.fedoraproject.org/pipermail/devel/2011-July/154587.html).
Comment 7 Jóhann B. Guðmundsson 2011-07-20 07:10:02 EDT
(In reply to comment #6)
> Sorry for late response, I was busy with other urgent duties.

If you are reletively busy and have more daemons/service you mantain we could schedual a converting day which we would try to get them all done that same day you would just provide me with a list of those daemons/service and I could perform initial convertion of them then we could just use the day to walk through them and iron out any issues we might encounter. 

> Your systemd unit file looks fine for me, thanks for it. There is one remaining
> question - about backward support of the sysconfig configuration. I raised
> question on devel list
> (http://lists.fedoraproject.org/pipermail/devel/2011-July/154587.html).

OH I'm pretty sure the backward capability is out. 

And from the looks of it I'm not sure if we can achive something similar of what is done there using a template and spawning a vncserver for each user account or when a user would try to connect or something atleast that probably would require some work in vncserver code. ( the idea being that the admin would just have to edit one template for all users ).
Comment 8 Jóhann B. Guðmundsson 2011-07-21 06:07:58 EDT
I think you should just ship the unit file as is then go for the a) Lennart suggest on that thread I'm not seeing the benefits b) brings as opposed the admin simply does what I suggested in comment 2
Comment 9 Adam Tkac 2011-07-22 04:22:48 EDT
I like Lennart's solution b) - to create simple "/usr/lib/vnc/start-vnc-instance" script and then create proper vncserver@.service links. In this approach we can have centralized configuration of all Xvnc servers in sysconfig/vncservers and good backward compatibility.

I will create the script later today.
Comment 10 Jóhann B. Guðmundsson 2011-07-26 17:48:45 EDT
Will this be ready for thursday?
Comment 11 Adam Tkac 2011-07-28 04:24:31 EDT
(In reply to comment #10)
> Will this be ready for thursday?

Yes, it will be ready in next 2 hours...
Comment 12 Adam Tkac 2011-07-28 06:49:05 EDT
I just commited http://pkgs.fedoraproject.org/gitweb/?p=tigervnc.git;a=commit;h=9956c17c57d2ce920b8f8f9985c05a0ceebde20a so tigervnc-1.0.90-6.fc16 should be systemd ready.
Comment 13 Fedora Update System 2011-07-28 06:55:45 EDT
tigervnc-1.0.90-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/tigervnc-1.0.90-6.fc16
Comment 14 Fedora Update System 2011-08-01 16:17:55 EDT
Package tigervnc-1.0.90-6.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tigervnc-1.0.90-6.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/tigervnc-1.0.90-6.fc16
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2011-08-22 11:12:37 EDT
tigervnc-1.0.90-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.